        !COMPILER-GENERATED INTERFACE MODULE: Mon Sep 29 10:16:52 2014
        MODULE IMATCHS__genmod
          INTERFACE 
            FUNCTION IMATCHS(SFIND,SARRLOOK,NLOOK) RESULT(IMATCHS_0)
              CHARACTER(LEN=32) :: SFIND
              CHARACTER(LEN=32) :: SARRLOOK(50)
              INTEGER(KIND=4) :: NLOOK
              INTEGER(KIND=4) :: IMATCHS_0
            END FUNCTION IMATCHS
          END INTERFACE 
        END MODULE IMATCHS__genmod
